List Compute Ledger Transactions
curl --request GET \
--url https://api.dispersed.com/v1/compute/ledger/transactionsimport requests
url = "https://api.dispersed.com/v1/compute/ledger/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dispersed.com/v1/compute/ledger/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount_usd": 123,
"object": "compute_ledger_transaction",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"job_run_uuid": "<string>",
"authorization_uuid": "<string>",
"consumer_profile_uuid": "<string>",
"consumer_account_uuid": "<string>",
"render_user_id": "<string>",
"render_credit_id": "<string>",
"memo": "<string>"
}
],
"limit": 123,
"page": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}Compute Ledger
List Compute Ledger Transactions
GET
/
v1
/
compute
/
ledger
/
transactions
List Compute Ledger Transactions
Query Parameters
Required range:
1 <= x <= 50Example:
1
Required range:
1 <= x <= 9007199254740991Example:
1
Example:
"created_at OR -created_at"
Example:
"2025-01-01,2025-03-01"
⌘I